Bug 583343 - [abrt] crash in subtitleeditor-0.36.0-1.fc12: Process /usr/bin/subtitleeditor was killed by signal 11 (SIGSEGV)
Summary: [abrt] crash in subtitleeditor-0.36.0-1.fc12: Process /usr/bin/subtitleeditor...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: subtitleeditor
Version: 12
Hardware: i686
OS: Linux
low
medium
Target Milestone: ---
Assignee: Martin Sourada
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:eaddb47b497642003ebd6038888...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-18 00:26 UTC by Alexandros Galanos
Modified: 2010-08-03 01:00 UTC (History)
3 users (show)

Fixed In Version: subtitleeditor-0.37.1-1.fc12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-08-03 01:00:36 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (110.14 KB, text/plain)
2010-04-18 00:26 UTC, Alexandros Galanos
no flags Details
Temporary patch file for subtitleeditor (528 bytes, patch)
2010-06-07 00:40 UTC, Frank MacLachlan
no flags Details | Diff

Description Alexandros Galanos 2010-04-18 00:26:33 UTC
abrt 1.0.8 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: subtitleeditor
component: subtitleeditor
executable: /usr/bin/subtitleeditor
kernel: 2.6.32.11-99.fc12.i686
package: subtitleeditor-0.36.0-1.fc12
rating: 4
reason: Process /usr/bin/subtitleeditor was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

Comment 1 Alexandros Galanos 2010-04-18 00:26:37 UTC
Created attachment 407332 [details]
File: backtrace

Comment 2 Frank MacLachlan 2010-05-28 11:29:25 UTC
This fails under Fedora 12 and 13 for me. It works under Fedora 10. I built the package from the latest sources (ver. 0.36.2) and got the same failure. All tests were on 64 bit systems.

To reproduce:
1. Open a .srt subtitle file having a corresponding divx (.avi) video file.
2. Generate a waveform from video: 'Waveform' -> 'Generate Waveform From Video'.
3. Progress bar will go to 100% and, after a slight pause, the program will crash.

Comment 3 Martin Sourada 2010-06-06 20:16:44 UTC
Hi, thanks for the report. I cannot reproduce this with 0.36.2 on 32 bit system and 0.36.0 has some other issues preventing me from verifying it... Can you fill this bug upstream to see if they can figure out what's wrong? Thanks

Upstream bug tracker:
https://gna.org/bugs/?group=subtitleeditor

Comment 4 Frank MacLachlan 2010-06-07 00:40:57 UTC
Created attachment 421687 [details]
Temporary patch file for subtitleeditor

Temporary fix for segfaults when generating waveform files from video. Copied from https://gna.org/bugs/?16016.

Comment 5 Frank MacLachlan 2010-06-07 00:49:47 UTC
https://gna.org/bugs/?16016 is the same bug and is fixed by the attachment in comment 4. This is a quick fix by the program's author and he intends a better (more efficient) fix after his vacation. I applied this to ver. 0.36.2 on a 64 bit fedora system which had this problem and was able to generate a waveform file from video. Thanks for the pointer.

Comment 6 Fedora Update System 2010-06-08 14:06:57 UTC
subtitleeditor-0.36.2-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/subtitleeditor-0.36.2-1.fc13

Comment 7 Fedora Update System 2010-06-08 14:07:46 UTC
subtitleeditor-0.36.2-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/subtitleeditor-0.36.2-1.fc12

Comment 8 Fedora Update System 2010-06-10 19:23:48 UTC
subtitleeditor-0.36.2-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update subtitleeditor'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/subtitleeditor-0.36.2-1.fc12

Comment 9 Fedora Update System 2010-06-24 10:15:55 UTC
subtitleeditor-0.36.2-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/subtitleeditor-0.36.2-2.fc13

Comment 10 Fedora Update System 2010-06-24 10:16:41 UTC
subtitleeditor-0.36.2-2.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/subtitleeditor-0.36.2-2.fc12

Comment 11 Martin Sourada 2010-06-24 10:20:44 UTC
(In reply to comment #10)
> subtitleeditor-0.36.2-2.fc12 has been submitted as an update for Fedora 12.
> http://admin.fedoraproject.org/updates/subtitleeditor-0.36.2-2.fc12    

This new build (the one for f13 and rawhide as well) contains updated patch from upstream. Please test it and report the results at the referenced web page :)

Comment 12 Fedora Update System 2010-06-24 16:26:58 UTC
subtitleeditor-0.36.2-2.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update subtitleeditor'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/subtitleeditor-0.36.2-2.fc12

Comment 13 Poncho 2010-07-14 19:10:44 UTC
This bug is finally fixed.

2010-07-11 - Subtitle Editor 0.37.1 released
    * Fix bug #16016 (#16087) : segfault (divide by zero)
    * Add Bulgarian translation
    * Update de, es, gl, ru, tr and zh_CN translations

Comment 14 Fedora Update System 2010-07-15 16:07:23 UTC
subtitleeditor-0.37.1-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/subtitleeditor-0.37.1-1.fc13

Comment 15 Fedora Update System 2010-07-15 16:17:18 UTC
subtitleeditor-0.37.1-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/subtitleeditor-0.37.1-1.fc12

Comment 16 Fedora Update System 2010-07-15 21:07:47 UTC
subtitleeditor-0.37.1-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update subtitleeditor'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/subtitleeditor-0.37.1-1.fc12

Comment 17 Fedora Update System 2010-08-03 00:35:22 UTC
subtitleeditor-0.37.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2010-08-03 01:00:30 UTC
subtitleeditor-0.37.1-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.